Name: kde4-style-iaora 
Summary: IaOra Theme for KDE4
Version: 0.2.5
Release: %mkrel 4
Source0: ia_ora-kde4-%{version}.tar.bz2
Patch0: kde4-style-iaora-nodebug.patch
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/theme/ia_ora-kde4/
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL 
BuildRequires: kdelibs4-devel
BuildRequires: kdebase4-workspace-devel
Requires: kde4-style-iaora-common
Obsoletes: ia_ora-kde-kwin < 1.0.8-14
Obsoletes: ia_ora-kde < 1.0.8-14

%description
IaOra theme for KDE 4

%files 
%{_kde_plugindir}/styles/*
%{_kde_libdir}/kde4/kwin3_iaora.so
%{_kde_appsdir}/kwin/iaora.desktop

#--------------------------------------------------------------------------------

%package -n qt4-style-iaora
Summary: IaOra Theme for Qt4
Group: Graphical desktop/KDE
Requires: kde4-style-iaora-common

%description -n qt4-style-iaora
IaOra theme for Qt4

%files -n qt4-style-iaora
%{qt4plugins}/styles/libiaora-qt.so

#--------------------------------------------------------------------------------

%package common
Summary: Common files for IaOra in KDE4 and Qt4
Group: Graphical desktop/KDE

%description common
Common files for IaOra in KDE4 and Qt4

%files common
%{_kde_appsdir}/color-schemes/
%{_kde_appsdir}/kstyle/themes/
# remove the config for now
%exclude %{_kde_libdir}/kde4/kwin*config.so

#--------------------------------------------------------------------------------

%prep 
%setup -q -n ia_ora-kde4
%patch0 -p1 -b .nodebug

%build 
%cmake_kde4 
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd


%clean 
rm -rf $RPM_BUILD_ROOT 



%changelog
* Wed Oct 28 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.5-4mdv2010.0
+ Revision: 459699
- Fixed subElementRect for a QLineEdit

* Tue Oct 27 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.5-3mdv2010.0
+ Revision: 459574
- Fixed IaOra color schemes
- Added IaOraSteel and IaOraNight color schemes
- Fixed kwin border
- Fixed TitleBar drawing (icons too)

* Mon Oct 26 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.5-2mdv2010.0
+ Revision: 459377
- Fixed kwin border
- Fixed submenu arrow drawing when mouse over
- Fixed EditLine drawing on Amarok (#54793)
- Fixed text color on TabBars (#54682)

* Fri Sep 25 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.5-1mdv2010.0
+ Revision: 448823
- new release (0.2.5)
  * Removed gray border around the window (#43199 and #53244)
  * Fixed maximized/unmaximized title bar icon positions
  * Disabled Configure button on systemsettings for IaOra-Kde
  * Fixed icon position on QToolButtons when using Alogside text position (#53625)
  * Fixed checkbox clickable area position on ItemViewItem (#52232)

* Sat Sep 19 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-3mdv2010.0
+ Revision: 444733
- Fix version to obsolete

* Thu Sep 17 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.4-2mdv2010.0
+ Revision: 444181
- Obsolete kde3 packages

* Thu Aug 27 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.4-1mdv2010.0
+ Revision: 421708
- new release (0.2.4)
  * Fixed icon size problem on QToolButtons (#53218)
  * Some code improvements/code more clear
  * Integrating kwin compiz patch on the code

* Fri Aug 21 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.3-2mdv2010.0
+ Revision: 419351
- Added patch to fix kwin_iaora when using compiz

* Thu Jul 16 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.3-1mdv2010.0
+ Revision: 396657
- Reverting color scheme change
- Fixing release number

* Thu Jul 16 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.3-0mdv2010.0
+ Revision: 396627
- new release (0.2.3)
  * Added KDE integration (IaOraKde - #51287)
  * Fixed arrow indicator on QToolButtons
  * Fixed IaOraBlue color scheme

* Mon Jul 06 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.2.2-3mdv2010.0
+ Revision: 392943
- Added patch to fix a KWin crash

* Tue May 26 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.2.2-2mdv2010.0
+ Revision: 379924
- Major fix:
  Fixed the draw of the checkboxes on an ItemViewItem

* Tue May 05 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.2.1-1mdv2010.0
+ Revision: 372135
- Major fix:
  RTL (RightToLeft) issues, like:
  	- Menu and toolbuttons  texts;
  	- Icons on menus and toolbuttons;
  	- Branch indicators;
  	- Scrollbars arrows.
- new release (0.2.2)
  * Fixed the ItemViewItem:
  	- Added bold text drawn (#50306)
  	- Implemented all icon positions (#50142)
  	- Implemented checkboxes on the itemview (#50260)
  * Fixed the text alignment on Tabs (#50122)

* Wed Apr 22 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.1.1-1mdv2009.1
+ Revision: 368742
- Major fix:
  TreeView icons problem (#50166)
- Also removed window mask when in Maximized mode

* Mon Apr 20 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.1-1mdv2009.1
+ Revision: 368442
- new release (0.2.1)
  * Fixed the TitleBar highlight on icons when mouse over
  * Added DockWidget icons
  * Fixed the text colour problem on some specific dropdowns (ItemViewItem) (#49849)
  * Fixed the alignment of an icon on a ToolButton (#48296)

* Thu Mar 19 2009 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.2.0-1mdv2009.1
+ Revision: 357810
- new release (0.2.0)
  * Fixed the background color on a FrameLineEdit (#48374)
  * Fixed the ToolButton icon alignment (#48693)
  * Added polish()/unpolish() functions to emit ToolButton mouse over event (#48296)
  * Added the TabBar "more tabs" indicator arrows

* Mon Feb 23 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.9-2mdv2009.1
+ Revision: 344016
- Rebuild because of missing packages

  + Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com>
    - new release (0.1.9):
      * Drawing QToolButtons
      * Fixed the FrameMenu design (#46768)
      * Fixed the PanelItemViewItem (#46298)
      * Removed 1 pixel from all corners
      * Raised and added tickmarks on a QSlider
      * Removed the vertical risk on QToolBars (#47616)
      * Changed the black selected text to white on IaOra Blue and Smooth color schemes
      * Changed the window title buttons highlight when mouse over
      * Added middle click feature to scrollbars (#46571)

* Wed Oct 01 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.1.8-2mdv2009.0
+ Revision: 290485
- Do not show debug messages

* Mon Sep 29 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.1.8-1mdv2009.0
+ Revision: 289679
- new release (0.1.8) changing:
  * Fix close button icon on title bar

* Mon Sep 29 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.1.7-2mdv2009.0
+ Revision: 289340
- Fixed scrollbar bug (mandriva-galaxy)

* Tue Sep 23 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.1.7-1mdv2009.0
+ Revision: 287169
- new release (0.1.7) changing:
  * Fix menus without icons being cut (#43509)
  * Fix combo box and line edit text margins
  * Fix an infinite loop that was making kopete and kmail lock

* Fri Sep 19 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.1.6-3mdv2009.0
+ Revision: 285939
- Solver some bugs

* Fri Sep 05 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.6-2mdv2009.0
+ Revision: 281071
- Add conflicts to ease upgrade from Mdv 2008.1

* Thu Sep 04 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.1.6-1mdv2009.0
+ Revision: 280932
- new release (0.1.6):
  * Add missing color schemes
  * Fix shortcut alignment in context menus

* Tue Sep 02 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.1.5-1mdv2009.0
+ Revision: 279073
- New release fixing:
  * the restore button drawing
  * tab bar buttons

* Wed Aug 20 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.1.4-1mdv2009.0
+ Revision: 274414
- new release fixing some crashes when requesting icons

* Tue Aug 19 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.1.3-1mdv2009.0
+ Revision: 274017
- new release fixing the drawing of menu empty area

* Tue Aug 19 2008 Helio Chissini de Castro <helio@mandriva.com> 0.1.2-2mdv2009.0
+ Revision: 273665
- Cmall spec cleaning. Use %%exclude instead of rm, as we can keep track if file still exists and will be easy clean up spec in future

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New release adding a basic window decoration

* Mon Jul 28 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.1.1-1mdv2009.0
+ Revision: 251475
- New release fixing the drawing of items in panels

* Fri Jul 25 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.1-2mdv2009.0
+ Revision: 249150
- import kde4-style-iaora


